package net.sergeych.crypto2

/**
 * Any exception initiated by crypto2 library has this base class
 */
open class Crypto2Exception(text: String,cause: Throwable?=null): RuntimeException(text, cause)

class DecryptionFailedException(text: String="can't decrypt: wrong key or tampered message",
                                cause: Throwable?=null): Crypto2Exception(text,cause)

class NonceOutOfBoundsException(text: String): Crypto2Exception(text)

@Suppress("unused")
class NotSupportedException(text: String="operation is not supported for this object")
    : Crypto2Exception(text, null)

class IncorrectPasswordException(): Crypto2Exception("Incorrect password")